package com.bsoft.api.controller;

import com.bsoft.api.common.annotations.Token;
import com.bsoft.api.model.reqmodel.Disease;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "疾病信息Api")
@RestController
public class SerDiseaseController {

    /**
     * 根据pageId查询板块数值
     * @return
     * @throws Exception
     */
    @GetMapping("disease/level")
    @Token
    @ApiOperation("根据等级查询疾病信息")
    public  Object getDiseaseByLevel(@RequestBody Disease.DiseaseByLevel disease) throws InterruptedException {
        return null;
    }

    @GetMapping("disease/name")
    @Token
    @ApiOperation("根据疾病名称查询疾病信息")
    public  Object getDiseaseByMdcName(@RequestBody Disease.DiseaseByName disease) throws InterruptedException {
        return null;
    }

    @GetMapping("disease/level/info")
    @Token
    @ApiOperation("查询特定等级下所有数据以及子数据")
    public  Object getDiseaseByLevelSon(@RequestBody Disease.DiseaseByLevelSon disease) throws InterruptedException {
        return null;
    }

}
